eID middleware |

# be.portugal.eid.PTEID_ExCardTypeUnknown Class Reference

Exception class Card Type Unknown (error code = EIDMW_ERR_CARDTYPE_UNKNOWN). More...

Inheritance diagram for be.portugal.eid.PTEID_ExCardTypeUnknown:

List of all members.

## Public Member Functions

synchronized void | delete ()
| PTEID_ExCardTypeUnknown ()
| Constructor.

## Protected Member Functions

| PTEID_ExCardTypeUnknown (long cPtr, boolean cMemoryOwn)
void | finalize ()

## Static Protected Member Functions

static long | getCPtr (PTEID_ExCardTypeUnknown obj)

## Detailed Description

Exception class Card Type Unknown (error code = EIDMW_ERR_CARDTYPE_UNKNOWN).

Thrown when the card type is not supported Used in : - PTEID_ReaderContext.getCard()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExCardTypeUnknown.PTEID_ExCardTypeUnknown | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExCardTypeUnknown.PTEID_ExCardTypeUnknown | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExCardTypeUnknown.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExCardTypeUnknown.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExCardTypeUnknown.getCPtr | ( | PTEID_ExCardTypeUnknown | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExCardTypeUnknown.swigCPtr.